﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:1.9.0.77
//      SpecFlow Generator Version:1.9.0.0
//      Runtime Version:4.0.30319.18444
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace WSS.AAT.Scenarios.Pos
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "1.9.0.77")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [NUnit.Framework.TestFixtureAttribute()]
    [NUnit.Framework.DescriptionAttribute("Pos")]
    public partial class PosFeature
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
#line 1 "Pos.feature"
#line hidden
        
        [NUnit.Framework.TestFixtureSetUpAttribute()]
        public virtual void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "Pos", "", ProgrammingLanguage.CSharp, ((string[])(null)));
            testRunner.OnFeatureStart(featureInfo);
        }
        
        [NUnit.Framework.TestFixtureTearDownAttribute()]
        public virtual void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        [NUnit.Framework.SetUpAttribute()]
        public virtual void TestInitialize()
        {
        }
        
        [NUnit.Framework.TearDownAttribute()]
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioSetup(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioStart(scenarioInfo);
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Type Of Sale And Tender Buttons")]
        [NUnit.Framework.CategoryAttribute("Pos")]
        public virtual void TypeOfSaleAndTenderButtons()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Type Of Sale And Tender Buttons", new string[] {
                        "Pos"});
#line 4
this.ScenarioSetup(scenarioInfo);
#line 5
    testRunner.When("A Sale was made", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line hidden
            TechTalk.SpecFlow.Table table1 = new TechTalk.SpecFlow.Table(new string[] {
                        "Tender Number",
                        "Tender Type Identifier",
                        "Tender Type Description",
                        "TTDS",
                        "Over Tender Allowed",
                        "Capture Credit Card Details",
                        "Use EFTPoS",
                        "Open Cash Drawer",
                        "Default remaining amount",
                        "Allow to Print Front of Cheque",
                        "Force Print of Back of Cheque",
                        "Minimum Value",
                        "Max Value",
                        "FLIM",
                        "In Use"});
            table1.AddRow(new string[] {
                        "01",
                        "1",
                        "Cash",
                        "1",
                        "True",
                        "False",
                        "False",
                        "True",
                        "False",
                        "False",
                        "False",
                        "0.00",
                        "0.00",
                        "0",
                        "True"});
            table1.AddRow(new string[] {
                        "05",
                        "2",
                        "Cheque",
                        "2",
                        "False",
                        "False",
                        "True",
                        "False",
                        "True",
                        "True",
                        "True",
                        "NULL",
                        "NULL",
                        "NULL",
                        "True"});
            table1.AddRow(new string[] {
                        "06",
                        "3",
                        "Cr/Dr Card",
                        "3",
                        "False",
                        "False",
                        "True",
                        "False",
                        "True",
                        "False",
                        "False",
                        "NULL",
                        "NULL",
                        "NULL",
                        "True"});
            table1.AddRow(new string[] {
                        "07",
                        "7",
                        "Gift Token",
                        "7",
                        "True",
                        "False",
                        "False",
                        "True",
                        "False",
                        "False",
                        "False",
                        "NULL",
                        "NULL",
                        "NULL",
                        "True"});
            table1.AddRow(new string[] {
                        "09",
                        "4",
                        "Old Tokens",
                        "6",
                        "False",
                        "False",
                        "False",
                        "False",
                        "True",
                        "False",
                        "False",
                        "NULL",
                        "NULL",
                        "NULL",
                        "True"});
            table1.AddRow(new string[] {
                        "12",
                        "12",
                        "Web Tender",
                        "8",
                        "False",
                        "False",
                        "False",
                        "False",
                        "False",
                        "False",
                        "False",
                        "NULL",
                        "NULL",
                        "NULL",
                        "False"});
            table1.AddRow(new string[] {
                        "13",
                        "13",
                        "Gift Card",
                        "6",
                        "False",
                        "False",
                        "False",
                        "False",
                        "True",
                        "False",
                        "False",
                        "NULL",
                        "NULL",
                        "NULL",
                        "True"});
            table1.AddRow(new string[] {
                        "60",
                        "60",
                        "Account Sale",
                        "9",
                        "False",
                        "False",
                        "False",
                        "False",
                        "True",
                        "False",
                        "False",
                        "0.00",
                        "0.00",
                        "0",
                        "True"});
            table1.AddRow(new string[] {
                        "66",
                        "3",
                        "No Card Present",
                        "3",
                        "False",
                        "False",
                        "True",
                        "False",
                        "True",
                        "False",
                        "False",
                        "NULL",
                        "NULL",
                        "NULL",
                        "True"});
            table1.AddRow(new string[] {
                        "72",
                        "5",
                        "Project Loan",
                        "5",
                        "False",
                        "False",
                        "False",
                        "False",
                        "True",
                        "False",
                        "False",
                        "NULL",
                        "NULL",
                        "NULL",
                        "True"});
            table1.AddRow(new string[] {
                        "80",
                        "6",
                        "Coupon",
                        "7",
                        "False",
                        "False",
                        "False",
                        "False",
                        "True",
                        "False",
                        "False",
                        "0.00",
                        "0.00",
                        "0",
                        "True"});
            table1.AddRow(new string[] {
                        "81",
                        "5",
                        "Project Loan",
                        "5",
                        "False",
                        "False",
                        "False",
                        "False",
                        "True",
                        "False",
                        "False",
                        "NULL",
                        "NULL",
                        "NULL",
                        "True"});
            table1.AddRow(new string[] {
                        "82",
                        "50",
                        "H/O Refund",
                        "10",
                        "False",
                        "False",
                        "False",
                        "False",
                        "True",
                        "False",
                        "False",
                        "0.00",
                        "0.00",
                        "0",
                        "True"});
#line 6
    testRunner.Then("Tender Options file contains next data:", ((string)(null)), table1, "Then ");
#line hidden
            TechTalk.SpecFlow.Table table2 = new TechTalk.SpecFlow.Table(new string[] {
                        "Tender Type Identifier",
                        "Tender Type Description",
                        "In Use"});
            table2.AddRow(new string[] {
                        "1",
                        "Cash",
                        "True"});
            table2.AddRow(new string[] {
                        "2",
                        "Cheque",
                        "True"});
            table2.AddRow(new string[] {
                        "3",
                        "Cr/Dr Card",
                        "True"});
            table2.AddRow(new string[] {
                        "4",
                        "Old Tokens",
                        "False"});
            table2.AddRow(new string[] {
                        "5",
                        "Project Loan",
                        "True"});
            table2.AddRow(new string[] {
                        "6",
                        "Coupon",
                        "True"});
            table2.AddRow(new string[] {
                        "7",
                        "Gift Token",
                        "True"});
            table2.AddRow(new string[] {
                        "8",
                        "Debit Card",
                        "True"});
            table2.AddRow(new string[] {
                        "9",
                        "Cash Round",
                        "True"});
            table2.AddRow(new string[] {
                        "11",
                        "EURO Cheque",
                        "False"});
            table2.AddRow(new string[] {
                        "12",
                        "Web Tender",
                        "False"});
            table2.AddRow(new string[] {
                        "13",
                        "Gift Card",
                        "True"});
            table2.AddRow(new string[] {
                        "21",
                        "Supp Voucher",
                        "False"});
            table2.AddRow(new string[] {
                        "40",
                        "Credit Note",
                        "False"});
            table2.AddRow(new string[] {
                        "41",
                        "Exchange",
                        "False"});
            table2.AddRow(new string[] {
                        "50",
                        "H/O Chq Refund",
                        "False"});
            table2.AddRow(new string[] {
                        "60",
                        "Account",
                        "False"});
            table2.AddRow(new string[] {
                        "70",
                        "Maestro",
                        "False"});
            table2.AddRow(new string[] {
                        "71",
                        "ATM Card",
                        "False"});
            table2.AddRow(new string[] {
                        "72",
                        "Mondex",
                        "False"});
            table2.AddRow(new string[] {
                        "80",
                        "Mastercard",
                        "False"});
            table2.AddRow(new string[] {
                        "81",
                        "Visa",
                        "False"});
            table2.AddRow(new string[] {
                        "82",
                        "Amex",
                        "False"});
            table2.AddRow(new string[] {
                        "83",
                        "Diners Club",
                        "False"});
#line 21
    testRunner.And("Tender Control file contains next data", ((string)(null)), table2, "And ");
#line hidden
            TechTalk.SpecFlow.Table table3 = new TechTalk.SpecFlow.Table(new string[] {
                        "Sale Type Code",
                        "Sale Type Description",
                        "In Use",
                        "Z-Reads Update"});
            table3.AddRow(new string[] {
                        "C-",
                        "Misc Inc Correc",
                        "True",
                        "True"});
            table3.AddRow(new string[] {
                        "C+",
                        "Paid Out Correc",
                        "True",
                        "True"});
            table3.AddRow(new string[] {
                        "CC",
                        "Sign Off",
                        "True",
                        "True"});
            table3.AddRow(new string[] {
                        "CO",
                        "Sign On",
                        "True",
                        "True"});
            table3.AddRow(new string[] {
                        "M-",
                        "Paid Out",
                        "True",
                        "True"});
            table3.AddRow(new string[] {
                        "M+",
                        "Misc. Income",
                        "True",
                        "True"});
            table3.AddRow(new string[] {
                        "OD",
                        "Open Drawer",
                        "True",
                        "True"});
            table3.AddRow(new string[] {
                        "RC",
                        "Refund Correct",
                        "False",
                        "True"});
            table3.AddRow(new string[] {
                        "RF",
                        "Refund",
                        "False",
                        "True"});
            table3.AddRow(new string[] {
                        "RL",
                        "Reprint Logo",
                        "True",
                        "False"});
            table3.AddRow(new string[] {
                        "RP",
                        "Recover Parked",
                        "True",
                        "False"});
            table3.AddRow(new string[] {
                        "SA",
                        "Sale",
                        "True",
                        "True"});
            table3.AddRow(new string[] {
                        "SC",
                        "Sale Correct",
                        "False",
                        "True"});
            table3.AddRow(new string[] {
                        "XR",
                        "X-Read",
                        "True",
                        "False"});
            table3.AddRow(new string[] {
                        "ZR",
                        "Z-Read",
                        "True",
                        "False"});
#line 47
    testRunner.And("Till TOS Contol file contains next data:", ((string)(null)), table3, "And ");
#line hidden
            TechTalk.SpecFlow.Table table4 = new TechTalk.SpecFlow.Table(new string[] {
                        "Sequence number",
                        "Sale Type Code",
                        "Sale Type Description",
                        "Document Number is Asked",
                        "Special Print is On",
                        "Open Cash Drawer On",
                        "Special Account Tender is Allowed",
                        "Supervisor Required"});
            table4.AddRow(new string[] {
                        "01",
                        "SA",
                        "Sale",
                        "False",
                        "False",
                        "True",
                        "True",
                        "False"});
            table4.AddRow(new string[] {
                        "02",
                        "SC",
                        "Sale Correction",
                        "False",
                        "False",
                        "True",
                        "True",
                        "False"});
            table4.AddRow(new string[] {
                        "03",
                        "RF",
                        "Refund",
                        "False",
                        "False",
                        "False",
                        "True",
                        "False"});
            table4.AddRow(new string[] {
                        "04",
                        "RC",
                        "Refund Correction",
                        "False",
                        "False",
                        "False",
                        "True",
                        "False"});
            table4.AddRow(new string[] {
                        "05",
                        "OD",
                        "Open Drawer",
                        "False",
                        "False",
                        "True",
                        "False",
                        "True"});
            table4.AddRow(new string[] {
                        "06",
                        "M+",
                        "Misc. Income",
                        "True",
                        "False",
                        "True",
                        "False",
                        "True"});
            table4.AddRow(new string[] {
                        "07",
                        "M-",
                        "Paid Out",
                        "True",
                        "False",
                        "True",
                        "False",
                        "True"});
            table4.AddRow(new string[] {
                        "08",
                        "C+",
                        "Misc Inc Correct",
                        "True",
                        "False",
                        "True",
                        "False",
                        "True"});
            table4.AddRow(new string[] {
                        "09",
                        "C-",
                        "Paid Out Correct",
                        "True",
                        "False",
                        "True",
                        "False",
                        "True"});
            table4.AddRow(new string[] {
                        "11",
                        "RP",
                        "Recall Transaction",
                        "False",
                        "False",
                        "True",
                        "False",
                        "False"});
            table4.AddRow(new string[] {
                        "12",
                        "RL",
                        "Reprint Logo",
                        "False",
                        "False",
                        "False",
                        "False",
                        "False"});
            table4.AddRow(new string[] {
                        "13",
                        "EC",
                        "Barcode Check",
                        "False",
                        "False",
                        "False",
                        "False",
                        "False"});
            table4.AddRow(new string[] {
                        "14",
                        "XR",
                        "X-READ",
                        "False",
                        "False",
                        "False",
                        "False",
                        "True"});
            table4.AddRow(new string[] {
                        "15",
                        "ZR",
                        "Z-READ",
                        "False",
                        "False",
                        "False",
                        "False",
                        "True"});
            table4.AddRow(new string[] {
                        "98",
                        "CO",
                        "Sign On",
                        "False",
                        "False",
                        "False",
                        "False",
                        "False"});
            table4.AddRow(new string[] {
                        "99",
                        "CC",
                        "Sign Off",
                        "False",
                        "False",
                        "False",
                        "False",
                        "False"});
#line 64
    testRunner.And("Till TOS Option records contain next data:", ((string)(null)), table4, "And ");
#line hidden
            TechTalk.SpecFlow.Table table5 = new TechTalk.SpecFlow.Table(new string[] {
                        "Sequence number",
                        "Tender Type"});
            table5.AddRow(new string[] {
                        "01",
                        "01"});
            table5.AddRow(new string[] {
                        "01",
                        "02"});
            table5.AddRow(new string[] {
                        "01",
                        "03"});
            table5.AddRow(new string[] {
                        "01",
                        "04"});
            table5.AddRow(new string[] {
                        "01",
                        "05"});
            table5.AddRow(new string[] {
                        "01",
                        "06"});
            table5.AddRow(new string[] {
                        "01",
                        "07"});
            table5.AddRow(new string[] {
                        "01",
                        "10"});
            table5.AddRow(new string[] {
                        "01",
                        "13"});
            table5.AddRow(new string[] {
                        "01",
                        "41"});
            table5.AddRow(new string[] {
                        "01",
                        "50"});
            table5.AddRow(new string[] {
                        "01",
                        "60"});
            table5.AddRow(new string[] {
                        "01",
                        "65"});
            table5.AddRow(new string[] {
                        "01",
                        "66"});
            table5.AddRow(new string[] {
                        "01",
                        "70"});
            table5.AddRow(new string[] {
                        "01",
                        "77"});
            table5.AddRow(new string[] {
                        "01",
                        "81"});
            table5.AddRow(new string[] {
                        "01",
                        "84"});
            table5.AddRow(new string[] {
                        "01",
                        "90"});
            table5.AddRow(new string[] {
                        "02",
                        "01"});
            table5.AddRow(new string[] {
                        "02",
                        "06"});
            table5.AddRow(new string[] {
                        "02",
                        "07"});
            table5.AddRow(new string[] {
                        "02",
                        "66"});
            table5.AddRow(new string[] {
                        "02",
                        "70"});
            table5.AddRow(new string[] {
                        "02",
                        "81"});
            table5.AddRow(new string[] {
                        "03",
                        "01"});
            table5.AddRow(new string[] {
                        "03",
                        "02"});
            table5.AddRow(new string[] {
                        "03",
                        "06"});
            table5.AddRow(new string[] {
                        "03",
                        "08"});
            table5.AddRow(new string[] {
                        "03",
                        "10"});
            table5.AddRow(new string[] {
                        "03",
                        "13"});
            table5.AddRow(new string[] {
                        "03",
                        "66"});
            table5.AddRow(new string[] {
                        "03",
                        "8"});
            table5.AddRow(new string[] {
                        "03",
                        "81"});
            table5.AddRow(new string[] {
                        "03",
                        "84"});
            table5.AddRow(new string[] {
                        "04",
                        "01"});
            table5.AddRow(new string[] {
                        "04",
                        "70"});
            table5.AddRow(new string[] {
                        "04",
                        "81"});
            table5.AddRow(new string[] {
                        "05",
                        "01"});
            table5.AddRow(new string[] {
                        "05",
                        "05"});
            table5.AddRow(new string[] {
                        "05",
                        "10"});
            table5.AddRow(new string[] {
                        "05",
                        "70"});
            table5.AddRow(new string[] {
                        "05",
                        "81"});
            table5.AddRow(new string[] {
                        "06",
                        "01"});
            table5.AddRow(new string[] {
                        "06",
                        "03"});
            table5.AddRow(new string[] {
                        "06",
                        "05"});
            table5.AddRow(new string[] {
                        "06",
                        "06"});
            table5.AddRow(new string[] {
                        "06",
                        "20"});
            table5.AddRow(new string[] {
                        "06",
                        "66"});
            table5.AddRow(new string[] {
                        "07",
                        "01"});
            table5.AddRow(new string[] {
                        "07",
                        "02"});
            table5.AddRow(new string[] {
                        "07",
                        "03"});
            table5.AddRow(new string[] {
                        "07",
                        "04"});
            table5.AddRow(new string[] {
                        "07",
                        "06"});
            table5.AddRow(new string[] {
                        "07",
                        "20"});
            table5.AddRow(new string[] {
                        "07",
                        "66"});
            table5.AddRow(new string[] {
                        "07",
                        "90"});
            table5.AddRow(new string[] {
                        "08",
                        "01"});
            table5.AddRow(new string[] {
                        "08",
                        "03"});
            table5.AddRow(new string[] {
                        "08",
                        "06"});
            table5.AddRow(new string[] {
                        "08",
                        "66"});
            table5.AddRow(new string[] {
                        "09",
                        "01"});
            table5.AddRow(new string[] {
                        "09",
                        "02"});
            table5.AddRow(new string[] {
                        "09",
                        "03"});
            table5.AddRow(new string[] {
                        "09",
                        "05"});
            table5.AddRow(new string[] {
                        "09",
                        "06"});
            table5.AddRow(new string[] {
                        "11",
                        "01"});
            table5.AddRow(new string[] {
                        "30",
                        "70"});
#line 82
    testRunner.And("Till TOS Tenders Allowed file contains next data", ((string)(null)), table5, "And ");
#line hidden
            this.ScenarioCleanup();
        }
    }
}
#pragma warning restore
#endregion
